Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 687724 - =www-client/elinks-0.12_pre6-r4 Stable Request
Summary: =www-client/elinks-0.12_pre6-r4 Stable Request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Felix Janda
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: EAPI4Removal openssl-1.1-stable
  Show dependency tree
 
Reported: 2019-06-09 15:33 UTC by Cyprien Nicolas (fulax)
Modified: 2020-06-18 09:52 UTC (History)
2 users (show)

See Also:
Package list:
www-client/elinks-0.12_pre6-r4 dev-libs/tre-0.8.0-r1 arm
Runtime testing required: No
stable-bot: sanity-check+


Attachments
emerge --info (emerge.info,15.50 KB, application/x-info)
2019-06-09 15:33 UTC, Cyprien Nicolas (fulax)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cyprien Nicolas (fulax) 2019-06-09 15:33:54 UTC
Created attachment 579322 [details]
emerge --info

The current stable ebuild (elinks-0.12_pre6-r1) fails to build with the upcoming openssl-1.1, while the -r4 builds fine on amd64.

My system mainly run amd64 stable, I had to upgrade to openssl-1.1 per #674740.
Portage was able to successfully rebuild all @preserved-rebuild packages, but elinks.

Therefore, =www-client/elinks-0.12_pre6-r4 should be stabilized along openssl-1.1 (#684590).

Thanks,

emerge --info attached
Comment 1 Stabilization helper bot gentoo-dev 2019-06-12 22:02:00 UTC
An automated check of this bug failed - repoman reported dependency errors (61 lines truncated): 

> dependency.bad www-client/elinks/elinks-0.12_pre6-r4.ebuild: DEPEND: arm(default/linux/arm/17.0) ['dev-libs/tre']
> dependency.bad www-client/elinks/elinks-0.12_pre6-r4.ebuild: RDEPEND: arm(default/linux/arm/17.0) ['dev-libs/tre']
> dependency.badindev www-client/elinks/elinks-0.12_pre6-r4.ebuild: DEPEND: arm(default/linux/arm/17.0/armv4) ['dev-libs/tre']
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-06-18 18:25:36 UTC
x86 stable
Comment 3 Stabilization helper bot gentoo-dev 2019-06-18 19:02:01 UTC
An automated check of this bug failed - repoman reported dependency errors (61 lines truncated): 

> dependency.bad www-client/elinks/elinks-0.12_pre6-r4.ebuild: DEPEND: arm(default/linux/arm/17.0) ['dev-libs/tre']
> dependency.bad www-client/elinks/elinks-0.12_pre6-r4.ebuild: RDEPEND: arm(default/linux/arm/17.0) ['dev-libs/tre']
> dependency.badindev www-client/elinks/elinks-0.12_pre6-r4.ebuild: DEPEND: arm(default/linux/arm/17.0/armv4) ['dev-libs/tre']
Comment 4 Stabilization helper bot gentoo-dev 2019-06-19 13:01:14 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-06-20 09:21:35 UTC
amd64 stable
Comment 6 Sergei Trofimovich gentoo-dev 2019-06-22 10:30:34 UTC
ia64 stable
Comment 7 Sergei Trofimovich gentoo-dev 2019-06-22 10:32:25 UTC
ppc stable
Comment 8 Sergei Trofimovich gentoo-dev 2019-06-22 10:34:14 UTC
ppc64 stable
Comment 9 Agostino Sarubbo gentoo-dev 2019-06-27 08:57:02 UTC
alpha stable
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-07-28 19:54:03 UTC
arm stable
Comment 11 Agostino Sarubbo gentoo-dev 2019-11-23 15:51:41 UTC
sparc stable
Comment 12 Rolf Eike Beer 2019-11-25 21:52:21 UTC
hppa stable, closing
Comment 13 Larry the Git Cow gentoo-dev 2020-06-18 09:52:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7409e9ba12ed22f971d8a34b7a02762f793ee1dd

commit 7409e9ba12ed22f971d8a34b7a02762f793ee1dd
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-06-18 09:52:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-06-18 09:52:17 +0000

    www-client/elinks: Drop 0.12_pre6-r1
    
    Closes: https://bugs.gentoo.org/687724
    Package-Manager: Portage-2.3.101, Repoman-2.3.22
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 www-client/elinks/Manifest                   |   1 -
 www-client/elinks/elinks-0.12_pre6-r1.ebuild | 183 ---------------------------
 2 files changed, 184 deletions(-)